Pressbooks-book-2.9.1.zip

Readme.md does not indicate what version of McLuhan. The only version information is the Changelog that states 2.9.0 .

Steve, here’s what I see in the readme.md file in the most recent release: Screenshot from 2020-01-14 09-22-03

Release v2.9.1 is very clearly indicated there at the top …

Problem is that I still get an error in Themes stating that the Pressbooks-book needs to be upgraded even though it is already been processed:

Observing other themes, they have changelog matching current version listed in themes (e.g., Jacobs):

Changelog

1.2.1

Whereas McLuhan is:

Changelog

2.9.0

Donham theme has no changelog. In my oberservations - all the Themes in the list that display the correct current version have the current changelog in the readme.md
Only Donham and McLuhan seem to be inconsistent.

Ideas?

Hi Steve, it may have been an error in the order of packaging our last build. I can see that the GitHub repo these are based on has info up to date, including changelog. I expect that it may be fixed with next release – so you can just ignore the nags until then? @homanchan might have other ideas?

Hi @sswettenham! Thank you so much for reporting the issue. The problem is related to packaging an older version of the build. It will be fixed in the upcoming release. Have a good day! :slight_smile:

Hi Steel,

Just wanted to chime in that this is effecting both open source themes (Jacobs/Mcluhan) only if you are using the github updater.

Thanks Ed – should be fixed with packing of our next release.

@sswettenham& @beckej – there’s a new tagged release of Pressbooks-Book (McLuhan) now available: https://github.com/pressbooks/pressbooks-book/releases/tag/2.9.2. Did this fix the nags you were getting with this theme?

no change via Wordpress Updates - should I uninstall the themes and reinstall?

Perhaps? I’m not really sure – we don’t use this method ourselves (in dev, testing, staging, or production), and I don’t have a ready way to troubleshoot …

I retried WordPress update that displayed 2.9.2 from 2.9.0 and it works. No more nag from McLuhan.

However, Donham still has the same issue.
Cheers,
Steve

1 Like

Thanks, Steve. Donham will probably need a similar repackaging – we’ll get to it the next time Donham has an update that needs releasing. @beckej can you tell me more about what you’re seeing with Jacobs and GitHub updater? I don’t think that’s the same issue that Steve’s describing here, but might be related, since versions are often declared in readme files, etc.

Steel,

On second inspection, I don’t think this is a related issue.

When I try to update Jacobs I get this error:
Warning : chmod(): Operation not permitted in /var/www/html/wp-admin/includes/class-wp-filesystem-direct.php on line 168

I’m 99% sure that this is related to my amateur web management skills and not Pressbooks. I will fix later and you can disregard!

UPDATE: The folder had the correct permissions on it, but when I did it, I didn’t run the script -R, so all the contents had a different owner. Just as expected, my own fault.

1 Like